Many forums offer automatically redirected
Many users read threads without being logged in. However when they do decide to log in they most likely want to go directly back to the forum thread they were last reading,
This is where the automatically redirected feature would be a welcome feature for this forum.
Posts
-
Automatic redirect?
-
RE: Turning a selection into a face?
TIG's ....TIG-Smart_offset.rb does a great job offsetting multiple faces.
I hope he does not mind me learning more about Ruby using his script.I added the following highlighted code to his script incorporating a reveal option.
Unfortunately this added complexity causes faces which share a common edge not to work well, with the reveal option, when pushpull is used.
-
RE: Mass material importer
@krisidious said:
I know what you mean...
the smaller folder being my .skm's the larger all the originals and stuff I might not have used or converted yet.
I would really love and would pay (hint hint) to be able to convert all the files to skms... and keep the folder structure in tact.
[attachment=0:4l1rf0fq]<!-- ia0 -->materials.JPG<!-- ia0 -->[/attachment:4l1rf0fq]
It does not take long to make the conversion, all it takes is time
Hint: I keep my textures in separate prefixed folders, while keeping the original texture file folder names unchanged. This way I can always copy my texture folders to any new install of SU. Using this procedure your new prefixed folders can be added to my folders under the common Materials folder, or vice versa.
-
RE: Mass material importer
@krisidious said:
Tomot... I don't know but let me know. I'd love to see what you have.
I don't want to be accused of stealing this thread, ....sorry!
Come to think of it this might not be feasible in this forum.
Therefore I would suggest Google Drive as an alternative. It offers 5GB free and its easy to email download links to friends that are interested in cross sharing.My current customized material files are not small?
-
RE: Mass material importer
@3d modeler said:
BTW - WOW ... this is an EXCELLENT Plugin.
I wish I had known about this a long time ago but better late than never.
This plugin will save me (and others) a HUGE amount of time.I agree, I have a large collection, which I'm willing to share, is it possible to
setup a sharing of Materials Repository for .skm files at this Forum? -
RE: Turning a selection into a face?
@dan rathbun said:
You should not really have that method.
What do you want the selection to hold at the end of the multi-face offset ?I wanted all selected faces to be offset and revealed
I was unaware that I would have to write a muiti-face offset routine -
RE: Turning a selection into a face?
I would like to take offset 1 step further: namely allowing the selection of more than one face.
I revised Dan's script and added a secondary Reveal offset to the menu. The Reveal menu item represents the depth of the reveal.The reason behind my initial interest in RickW's offset.rb was to use it to provide reveals
of selected faces, using SketchUp, for proposed concrete faces, be they cast-in-place or precast.Dan correctly identified users selecting more than 1 face, before the offset professing occurs.
I need a hintso I can I change the code to allow selecting more than 1 face?
The attached pic shows my added revised code, the revised code is also attached.
-
RE: Removing unwanted interior faces from a mesh?
@pbacot said:
I think that does it successfully for such shapes (a couple french fries had a more than one surface, even when smoothed.) Getting them all solid takes seconds.
The idea behind and efficient unwanted interior face removal is first required before any additional subdivision can take place, precisely to have the mesh look less french fry like
-
RE: Removing unwanted interior faces from a mesh?
@tig said:
My 'SolidSolver' ?
Group each 'finger' and process, as grouping so many balls-ups in one thing will exponentially extend the processing time !This is one thing I'm hoping Trimble is going to tackle one day, but I'm not holding my breath. The importance of new SketchUp icons takes precedence I guess?
-
Removing unwanted interior faces from a mesh?
There are a few rubies that were written to remove interior faces.
Wikii wrote one: remove_inner_faces.rb
& Kyyu wrote one: Delete_Interior_Faces.rbboth of these scripts no longer do what they were originally designed to do.
I'm wondering if changes, to the revised Ruby API lately, may have been the cause?Is there another Ruby, which my Search may have missed, that still does this task?
Please find attached a small file which needs all interior faces to be removed, other then manually
-
RE: Turning a selection into a face?
@dan rathbun said:
@Tomot ... you have no profile information showing.
(2) What SketchUp edition (Free or Pro) ?
Pro, My bad its working, after update!
-
RE: Turning a selection into a face?
@dan rathbun said:
IF you get an error, it would help if you paste the error message into a post.
there is also no "offset" reference in the context menu
-
RE: Turning a selection into a face?
Dan thanks for your code, however regarding your last piece of code.
I'm unclear as to how to use it.If I save your code as as offset.rb and replace it with the original offset.rb then load it in the console, I get an error in the console when I right click on selected face.
Is this the way you intended it to be used? Please explain further!
and just to make sure, please see the attachment regarding the face in question.
-
RE: Turning a selection into a face?
Tig, thomthom and Dan, thanks for your input it will take me a few days to digest your input, and try putting your input into use.
but thomthom is right, I'm looking for the statement that allows me to offset the face the offset.rb creates.I was hoping a simple Boolean expression in the API would have served a very useful purpose, in this particular instance.
-
RE: Turning a selection into a face?
@thomthom said:
sel.grep(Sketchup::Face)
This returns an array of all faces in the colletion (in this case selection)<span class="syntaxdefault"><br />facesĀ </span><span class="syntaxkeyword">=</span><span class="syntaxdefault">Ā sel</span><span class="syntaxkeyword">.</span><span class="syntaxdefault">grep</span><span class="syntaxkeyword">(</span><span class="syntaxdefault">Sketchup</span><span class="syntaxkeyword">;;</span><span class="syntaxdefault">Face</span><span class="syntaxkeyword">)</span><span class="syntaxdefault">Ā </span><span class="syntaxkeyword">}<br /></span><span class="syntaxcomment">#Ā Push/pullĀ allĀ faces<br /></span><span class="syntaxdefault">faces</span><span class="syntaxkeyword">.</span><span class="syntaxdefault">eachĀ </span><span class="syntaxkeyword">{</span><span class="syntaxdefault">Ā </span><span class="syntaxkeyword">|</span><span class="syntaxdefault">face</span><span class="syntaxkeyword">|</span><span class="syntaxdefault">Ā face</span><span class="syntaxkeyword">.</span><span class="syntaxdefault">pushpull</span><span class="syntaxkeyword">(</span><span class="syntaxdefault">Ā distanceĀ </span><span class="syntaxkeyword">)</span><span class="syntaxdefault">Ā </span><span class="syntaxkeyword">}<br /></span><span class="syntaxdefault"></span>
If you want only one entity, use find():
<span class="syntaxdefault"><br />faceĀ </span><span class="syntaxkeyword">=</span><span class="syntaxdefault">Ā sel</span><span class="syntaxkeyword">.</span><span class="syntaxdefault">findĀ </span><span class="syntaxkeyword">{</span><span class="syntaxdefault">Ā </span><span class="syntaxkeyword">|</span><span class="syntaxdefault">e</span><span class="syntaxkeyword">|</span><span class="syntaxdefault">Ā e</span><span class="syntaxkeyword">.</span><span class="syntaxdefault">is_a</span><span class="syntaxkeyword">?(</span><span class="syntaxdefault">Sketchup</span><span class="syntaxkeyword">;;</span><span class="syntaxdefault">Face</span><span class="syntaxkeyword">)</span><span class="syntaxdefault">Ā </span><span class="syntaxkeyword">}<br /></span><span class="syntaxdefault">face</span><span class="syntaxkeyword">.</span><span class="syntaxdefault">pushpull</span><span class="syntaxkeyword">(</span><span class="syntaxdefault">Ā distanceĀ </span><span class="syntaxkeyword">)<br /></span><span class="syntaxdefault"></span>
That's precisely my problem in a larger nutshell
, I'm trying to use RickW's offset.rb which draws a 2nd offset on the initial "sel" selected face. Since there now 2 faces I'm having difficulty selecting the offset face for pushpull that the offset.rb created, and NOT the initial "sel" selected face for pushpull. (I can post a pic if my description falls short)
-
RE: Turning a selection into a face?
@tig said:
First off...
Don't use $ variables !
snipI was using $ variables only to check what my face code was actually being selecting in the Ruby Console. I still trying to resolved this issue.
-
RE: Turning a selection into a face?
I did not know that this is a 2 stage process, 1: find & 2: return
$newface1=sel.grep(Sketchup;;Face) #finds face only! $newface1.pushpull $inset
So How do I implement a pushpull of $newface1?
-
RE: Turning a selection into a face?
@tig said:
There are many ways, e.g.
sel.grep(Sketchup::Edge).each{|e|e.find_faces}
adds all possible faces edges in the selection...If I use the following statement:
$newface1=sel.grep(Sketchup::Edge).each{|e|e.find_faces}
the ruby console respond is:
%(#FF0000)[$newface1
[]]
I was expecting something like:
#Sketchup::Face:0xb3cb350 -
Turning a selection into a face?
the code snippet below asks the user to make a selection
model=Sketchup.active_model ents=model.active_entities sel=model.selection if sel.empty? UI.messagebox("No selection !") return nil end
what code do I require to turn that selection into a face?
_____________ == Sketchup::Face
-
[Plugin][$] Concrete Frame Tool
Is my design solution to bring Cast-in-place Structural Concrete Building Components into a cohesive Ruby-framework. With Concrete Frame Tools one can create a repeating network of modular structural elements into a Proposed floor by floor Building Envelope. This Ruby uses typical Cast-in-place Concrete Columns and Beams, together with Spandrel beams, Footings, Slabs, and other enclosing elements such as Windows, Mullions, Walls, Slab, Bracing etc. Hence many of the underlying engineering elements that are responsible for a typical Preliminary Architectural Building Design are available in this Ruby.
There are 2 concrete frames to chose from: 1 column with slab over and 4 columns with slab over.
The 3rd is Concrete Addons: it complements additional Structural design elements, that do not occur within the original Concrete Frame Tool set.Since one of the hallmarks of working with SketchUp is the use and maintenance of a disciplined layering structure, all structural elements produced by this ruby are drawn on their own named layers. In addition this Ruby is component based, and all elements are grouped for easy deletion, should the design requirements change.
Its important to understand that while all floors maybe similar in a multistory building. The use of a single story component may at first look a desirable option. However any design changes later might not be applicable to each floor. Therefore I would advise making each floor its own component.
I believe this is a good starting point to produce a total 3d structural building Envelope using Ruby. The same principles for adding additional elements such as Doors, Windows, Bifolds, or Cabinets complements the way Concrete Frame Tools works.
View the video at my blog: This video shows the use of 1 column with slab over. The 4 columns with slab over option had not been finalized at the time I made the video. But works the same way.
For more information click on my plugins link below